function classEstimate = multiCentroid_classifyLocalSda(neighborhoodSizeVec, ...
  neighborIdx, trainMatSim, testMatSim, trainClass, varargin)
%multiCentroid_classifyLocalSda - multi-centroid helper function.
%
% USAGE
% multiCentroid_classifyLocalSda(neighborhoodSizeVec, ...
%   neighborIdx, trainMatSim, testMatSim, trainClass, varargin)

% Written by Luca Cazzanti, engineer
% Applied Physics Laboratory, University of Washington, Dec 2006.
%$Id:$
%$DateTime:$
%$Author:$

% varargin is for an optional similarity domain vector

[nData, notUsed] = size(testMatSim); %#ok
classEstimate = [];
for iNeighbor = neighborhoodSizeVec(:).'
  classEst = zeros(nData,1);
  
  for iData = 1:nData
    neighborsToPick = neighborIdx(iData,1:iNeighbor);
    neighborClassLabels = trainClass(neighborsToPick);
    testPointSim = testMatSim( iData, neighborsToPick );
    neighborSimMat = trainMatSim( :, neighborsToPick );
    neighborSimMat = neighborSimMat( neighborsToPick, : );
    
    classEst(iData) = classifyLocalSda(testPointSim, neighborSimMat, ...
      neighborClassLabels, 'maxSumSim', varargin{:});
  end % for iData
  
  % This matrix will be nTrain-by-(maxNeighbors-1) when loop is done
  classEstimate = [classEstimate classEst(:)];
end %for iNeighbor

return 