function [centroidIdx, centroidSim] = findCentroidMaxSumSim(simMat)
%findCentroidMaxSumSim - find maximum sum-similarity centroid.
%
% USAGE
% [centroidIdx, centroidSim] = findCentroidMaxSumSim(simMat)
% simMat: matrix of pairwise similarities.
% centroidIdx: row index into simMat denoting the centroid.
% centroidSim: the sum of the centroid's similarities to other data.

% Written by Luca Cazzanti, engineer
% Applied Physics Laboratory, University of Washington, November 2006.
%$Id:$
%$DateTime:$
%$Author:$

sumSim = sum(simMat,2);
[centroidSim, centroidIdx] = max(sumSim);

return