function modelParams = initAverageLocalSdaParams()
%initAverageLocalSdaParams - initialize parameter structure.
% Creates an empty parameter structure suitable for the average local SDA
% regularization of local SDA.
% USAGE
% modelParams = initAverageLocalSda()
% modelParams is a structure with the following fields:
%    regType: empty string.
%    centroidType: empty string.
%    nNeighbors: 0.
%    regParam = 0.
%    pmfs: 1-by-1 cell.
%    simDOmain: empty array.

% Written by Luca Cazzanti, engineer.
% Applied Physics Laboratory, University of Washington, Jan 2009.
%$Id:$
%$DateTime:$
%$Author:$

modelParams.regType = '';
modelParams.centroidType = '';
modelParams.nNeighbors = 0; 
modelParams.regParam = 0;
modelParams.pmfs = cell(1,1);
modelParams.simDomain = [];