function modelParams = initNaiveBayesModels()
%initNaiveBayesModels - creates empty structure for naive Bayes models.
% Creates a trivial structure with empty fields suitable for storing the
% model parameters for a naive Bayes classifier and ancillary
% information.
%
% USAGE
% modelParams = initNaiveBayesModel;
% modelParams: structure with empty fields, except boolean  field
% isTrivial = true. For details on the contents of the fields after
% the centroid models are computed, see computeNaiveBayes(). The fields
% are:
%   isTrivial: boolean flag (true).
%   classPriors: vector of class prior probabilities. 
%   classCounts: vector of class frequency counts for the training set.
%   classLabels: vector of class labels.
%   probModels: a cell array containing the class-conditional feature pmfs.
%   featureVals: a cell array containing the class-conditional possible
%     feature values.
%
% See also computeNaiveBayesModels, classifyNaiveBayes.

% Written by Luca Cazzanti, engineer
% Applied Physics Laboratory, University of Washington, Jan 2007.
modelParams.isTrivial = true;
modelParams.classCounts = [];
modelParams.classPriors = [];
modelParams.classLabels = []; 
modelParams.probModels = [];
modelParams.featureVals = [];


return